<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>book-list-app documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">book-list-app documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>AddComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/pages/add/add.component.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>clase  para agregar libros  </p>

    </p>


    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>

    <p class="comment">
        <h3>Example</h3>
    </p>
    <div class="io-description">
    </div>

<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-add</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./add.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./add.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#addBook">addBook</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#listCartBook">listCartBook</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#Math">Math</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#totalPrice">totalPrice</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_clearListCartBook">_clearListCartBook</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#onAddBook">onAddBook</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#onClearBooks">onClearBooks</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#onInputNumberChange">onInputNumberChange</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(_bookService: <a href="../injectables/BookService.html">BookService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/pages/add/add.component.ts:33</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>_bookService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/BookService.html" target="_self" >BookService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="_clearListCartBook"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Private</span>
                            _clearListCartBook
                        </b>
                        <a href="#_clearListCartBook"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>_clearListCartBook()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="91"
                            class="link-to-prism">src/app/pages/add/add.component.ts:91</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="40"
                            class="link-to-prism">src/app/pages/add/add.component.ts:40</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onAddBook"></a>
                    <span class="name">
                        <b>
                            onAddBook
                        </b>
                        <a href="#onAddBook"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onAddBook(form: <a href="../interfaces/Book.html">Book</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="43"
                            class="link-to-prism">src/app/pages/add/add.component.ts:43</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>form</td>
                                    <td>
                                                <code><a href="../interfaces/Book.html" target="_self" >Book</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onClearBooks"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Public</span>
                            onClearBooks
                        </b>
                        <a href="#onClearBooks"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>onClearBooks()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="83"
                            class="link-to-prism">src/app/pages/add/add.component.ts:83</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onInputNumberChange"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Public</span>
                            onInputNumberChange
                        </b>
                        <a href="#onInputNumberChange"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>onInputNumberChange(action: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, book: <a href="../interfaces/Book.html">Book</a>)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="76"
                            class="link-to-prism">src/app/pages/add/add.component.ts:76</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>action</td>
                                    <td>
                                                <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                                <tr>
                                    <td>book</td>
                                    <td>
                                                <code><a href="../interfaces/Book.html" target="_self" >Book</a></code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="addBook"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            addBook</b>
                            <a href="#addBook"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new FormGroup({
    titulo: new FormControl(&#x27;&#x27;, Validators.required),
    autor: new FormControl(&#x27;&#x27;, Validators.required),
    isbn: new FormControl(&#x27;&#x27;, Validators.required),
    edicion: new FormControl(&#x27;&#x27;, Validators.required),
    imagen: new FormControl(&#x27;&#x27;, Validators.required),
    resumen: new FormControl(&#x27;&#x27;, Validators.required),
    serie: new FormControl(&#x27;&#x27;, Validators.required),
    tema: new FormControl(&#x27;&#x27;, Validators.required),
    descripcion: new FormControl(&#x27;&#x27;, Validators.required)
  })</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/pages/add/add.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="listCartBook"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            listCartBook</b>
                            <a href="#listCartBook"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../interfaces/Book.html" target="_self" >Book[]</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/pages/add/add.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="Math"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            Math</b>
                            <a href="#Math"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>Math</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/pages/add/add.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="totalPrice"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            totalPrice</b>
                            <a href="#totalPrice"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>0</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/pages/add/add.component.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { BookService } from &#x27;../../services/book.service&#x27;;
import { Book, ResponseAddI } from &#x27;../../models/book.model&#x27;;
import { FormControl, FormGroup, Validators } from &#x27;@angular/forms&#x27;;
import swal from &#x27;sweetalert2&#x27;;
/**
 * clase  para agregar libros  
 * @constant addBook addBook
 * @constant listCartBook listCartBook
 * @constructor cons
 */
@Component({
  selector: &#x27;app-add&#x27;,
  templateUrl: &#x27;./add.component.html&#x27;,
  styleUrls: [&#x27;./add.component.scss&#x27;]
})
export class AddComponent implements OnInit {

  public listCartBook: Book[] &#x3D; [];
  public totalPrice &#x3D; 0;
  public Math &#x3D; Math;

  public addBook &#x3D; new FormGroup({
    titulo: new FormControl(&#x27;&#x27;, Validators.required),
    autor: new FormControl(&#x27;&#x27;, Validators.required),
    isbn: new FormControl(&#x27;&#x27;, Validators.required),
    edicion: new FormControl(&#x27;&#x27;, Validators.required),
    imagen: new FormControl(&#x27;&#x27;, Validators.required),
    resumen: new FormControl(&#x27;&#x27;, Validators.required),
    serie: new FormControl(&#x27;&#x27;, Validators.required),
    tema: new FormControl(&#x27;&#x27;, Validators.required),
    descripcion: new FormControl(&#x27;&#x27;, Validators.required)
  })


  constructor(
    private readonly _bookService: BookService
  ) { }

  ngOnInit(): void {
  }

  onAddBook(form:Book) {
    console.log(&quot;form&quot;, form);
   if (form.titulo!&#x3D;&#x27;&#x27;&amp;&amp;form.autor!&#x3D;&#x27;&#x27;&amp;&amp;form.imagen!&#x3D;&#x27;&#x27;) {
     
       this._bookService.addBook(form).subscribe((resp: ResponseAddI) &#x3D;&gt; {
        console.log(resp);
        console.log(resp.mensaje);

        if (resp.resultado.length &gt; 1) {
          swal.fire({
            icon: &#x27;success&#x27;,
            title: &#x27;Libro &#x27; + form.titulo + &#x27; Agregado correctamente!!&#x27;
          });
        } else {
          swal.fire({
            icon: &#x27;error&#x27;,
            title: &#x27;Libro &#x27; + form.titulo + &#x27; No se pudo agregar&#x27;
          });
       
        }
    
    });

  } else {
    swal.fire({
      icon: &#x27;error&#x27;,
      title: &#x27; No se pudo agregar, Ingrese más información&#x27;
    });
  }
  }
  


  public onInputNumberChange(action: string, book: Book): void {
    const amount &#x3D; action &#x3D;&#x3D;&#x3D; &#x27;plus&#x27; ? book.amount + 1 : book.amount - 1;
    book.amount &#x3D; Number(amount);
    this.listCartBook &#x3D; this._bookService.updateAmountBook(book);

  }

  public onClearBooks(): void {
    if (this.listCartBook &amp;&amp; this.listCartBook.length &gt; 0) {
      this._clearListCartBook();
    } else {
      console.log(&quot;No books available&quot;);
    }
  }

  private _clearListCartBook() {
    this.listCartBook &#x3D; [];
    this._bookService.removeBooksFromCart();
  }


}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;app-nav&gt;&lt;/app-nav&gt;

&lt;div class&#x3D;&quot;container&quot;&gt;
  &lt;div style&#x3D;&quot;border:skyblue; border-style:double; border-radius: 10px; margin: 1%;&quot;&gt;
    &lt;span class&#x3D;&quot;header &quot; style&#x3D;&quot;text-align: center;&quot;&gt;&lt;i class&#x3D;&quot;fas fa-book&quot;&gt;&lt;/i&gt;&lt;/span&gt;
    &lt;legend class&#x3D;&quot;header display-4 &quot; style&#x3D;&quot;text-align: center;&quot;&gt;Add Books&lt;/legend&gt;
    &lt;div class&#x3D;&quot;form&quot; style&#x3D;&quot;margin:1% ;&quot;&gt;
      &lt;form [formGroup]&#x3D;&quot;addBook&quot;  (ngSubmit)&#x3D;&quot;onAddBook(addBook.value)&quot;&gt;
      &lt;div class&#x3D;&quot;form-content&quot;&gt;
        &lt;div class&#x3D;&quot;row&quot;&gt;
          &lt;div class&#x3D;&quot;col-md-6&quot;&gt;

            &lt;div class&#x3D;&quot;form-group&quot;&gt;
              &lt;span class&#x3D;&quot;form-group&quot;&gt;&lt;i class&#x3D;&quot;fas fa-atlas  bigicon&quot;&gt;&lt;/i&gt;&lt;/span&gt;
              &lt;input type&#x3D;&quot;titulo&quot; class&#x3D;&quot;form-control&quot; placeholder&#x3D;&quot;Titulo *&quot; 
              value&#x3D;&quot;&quot; #titulo required formControlName&#x3D;&quot;titulo&quot;/&gt;
            &lt;/div&gt;

            &lt;div class&#x3D;&quot;form-group&quot;&gt;
              &lt;span class&#x3D;&quot;form-group&quot;&gt;&lt;i class&#x3D;&quot;fas fa-copyright bigicon&quot;&gt;&lt;/i&gt;&lt;/span&gt;
              &lt;input id&#x3D;&quot;isbn&quot; name&#x3D;&quot;isbn&quot; type&#x3D;&quot;text&quot; placeholder&#x3D;&quot;Isbn&quot; class&#x3D;&quot;form-control&quot;
              formControlName&#x3D;&quot;isbn&quot; &gt;
            &lt;/div&gt;

            &lt;div class&#x3D;&quot;form-group&quot;&gt;
              &lt;span class&#x3D;&quot;form-group&quot;&gt;&lt;i class&#x3D;&quot;fas fa-book-open bigicon&quot;&gt;&lt;/i&gt;&lt;/span&gt;
              &lt;input id&#x3D;&quot;isbn&quot; name&#x3D;&quot;edicion&quot; type&#x3D;&quot;text&quot; placeholder&#x3D;&quot;Edicion&quot; class&#x3D;&quot;form-control&quot; formControlName&#x3D;&quot;edicion&quot;&gt;
            &lt;/div&gt;
          &lt;/div&gt;

          &lt;div class&#x3D;&quot;col-md-6&quot;&gt;

            &lt;div class&#x3D;&quot;form-group&quot;&gt;
              &lt;span class&#x3D;&quot;form-group&quot;&gt;&lt;i class&#x3D;&quot;fa fa-user bigicon&quot;&gt;&lt;/i&gt;&lt;/span&gt;
              &lt;input id&#x3D;&quot;autor&quot; name&#x3D;&quot;autor&quot; type&#x3D;&quot;text&quot; placeholder&#x3D;&quot;Autor*&quot; class&#x3D;&quot;form-control&quot; #autor required formControlName&#x3D;&quot;autor&quot; /&gt;
            &lt;/div&gt;


            &lt;div class&#x3D;&quot;form-group&quot;&gt;
              &lt;span class&#x3D;&quot;form-group&quot;&gt;&lt;i class&#x3D;&quot;fas fa-file-image bigicon&quot;&gt;&lt;/i&gt;&lt;/span&gt;
              &lt;input id&#x3D;&quot;isbn&quot; name&#x3D;&quot;imagen&quot; type&#x3D;&quot;url&quot; placeholder&#x3D;&quot;Imagen*&quot; class&#x3D;&quot;form-control&quot; #imagen required formControlName&#x3D;&quot;imagen&quot;&gt;
            &lt;/div&gt;

            &lt;div class&#x3D;&quot;form-group&quot;&gt;
              &lt;span class&#x3D;&quot;form-group&quot;&gt;&lt;i class&#x3D;&quot;fas fa-comment bigicon&quot;&gt;&lt;/i&gt;&lt;/span&gt;
              &lt;textarea class&#x3D;&quot;form-control&quot; id&#x3D;&quot;resumen&quot; name&#x3D;&quot;resumen&quot; placeholder&#x3D;&quot;Ingresa resumen del libro&quot; formControlName&#x3D;&quot;resumen&quot;
                rows&#x3D;&quot;4&quot;&gt;&lt;/textarea&gt;
            &lt;/div&gt;
          &lt;/div&gt;
        &lt;/div&gt;

        &lt;div class&#x3D;&quot;&quot; style&#x3D;&quot;text-align: center;&quot;&gt;
          &lt;button type&#x3D;&quot;submit&quot; class&#x3D;&quot;btn btn-primary btnSubmit&quot;&gt;Add Book&lt;/button&gt;
          &lt;p&gt;&lt;/p&gt;
          &lt;button type&#x3D;&quot;button&quot; class&#x3D;&quot;btn btn-primary btnreturn&quot; [routerLink]&#x3D;&quot;[&#x27;/home&#x27;]&quot;&gt;Go back&lt;/button&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/form&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./add.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">
.header {
  color: #36A0FF;
  font-size: 27px;
  padding: 10px;
  align-items: center;

}

.bigicon {
  font-size: 15px;
  color: #36A0FF;
}

.btnreturn
{
    border:none;
    border-radius:1.5rem;
    padding: 1%;
    width: 20%;
    cursor: pointer;
    background: #db2333;
    color: #fff;
}

.btnSubmit
{
    border:none;
    border-radius:1.5rem;
    padding: 1%;
    width: 20%;
    cursor: pointer;
    background: forestgreen;
    color: #fff;
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><app-nav></app-nav><div class="container">  <div style="border:skyblue; border-style:double; border-radius: 10px; margin: 1%;">    <span class="header " style="text-align: center;"><i class="fas fa-book"></i></span>    <legend class="header display-4 " style="text-align: center;">Add Books</legend>    <div class="form" style="margin:1% ;">      <form [formGroup]="addBook"  (ngSubmit)="onAddBook(addBook.value)">      <div class="form-content">        <div class="row">          <div class="col-md-6">            <div class="form-group">              <span class="form-group"><i class="fas fa-atlas  bigicon"></i></span>              <input type="titulo" class="form-control" placeholder="Titulo *"               value="" #titulo required formControlName="titulo"/>            </div>            <div class="form-group">              <span class="form-group"><i class="fas fa-copyright bigicon"></i></span>              <input id="isbn" name="isbn" type="text" placeholder="Isbn" class="form-control"              formControlName="isbn" >            </div>            <div class="form-group">              <span class="form-group"><i class="fas fa-book-open bigicon"></i></span>              <input id="isbn" name="edicion" type="text" placeholder="Edicion" class="form-control" formControlName="edicion">            </div>          </div>          <div class="col-md-6">            <div class="form-group">              <span class="form-group"><i class="fa fa-user bigicon"></i></span>              <input id="autor" name="autor" type="text" placeholder="Autor*" class="form-control" #autor required formControlName="autor" />            </div>            <div class="form-group">              <span class="form-group"><i class="fas fa-file-image bigicon"></i></span>              <input id="isbn" name="imagen" type="url" placeholder="Imagen*" class="form-control" #imagen required formControlName="imagen">            </div>            <div class="form-group">              <span class="form-group"><i class="fas fa-comment bigicon"></i></span>              <textarea class="form-control" id="resumen" name="resumen" placeholder="Ingresa resumen del libro" formControlName="resumen"                rows="4"></textarea>            </div>          </div>        </div>        <div class="" style="text-align: center;">          <button type="submit" class="btn btn-primary btnSubmit">Add Book</button>          <p></p>          <button type="button" class="btn btn-primary btnreturn" [routerLink]="[\'/home\']">Go back</button>        </div>      </div>    </form>    </div>  </div></div></div>'
    var COMPONENTS = [{'name': 'AddComponent', 'selector': 'app-add'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'DashboardComponent', 'selector': 'app-dashboard'},{'name': 'ForgotPasswordComponent', 'selector': 'app-forgot-password'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'NavComponent', 'selector': 'app-nav'},{'name': 'PagesComponent', 'selector': 'app-pages'},{'name': 'SignInComponent', 'selector': 'app-sign-in'},{'name': 'SignUpComponent', 'selector': 'app-sign-up'},{'name': 'VerifyEmailComponent', 'selector': 'app-verify-email'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AddComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AddComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
